 integer i, j, m, n
 real :: x(10)
 m=10
 n=10
 

 open(unit=10, file='test', access='direct', form='unformatted', &
    recl = 4*m )

 do j=1, n
  do i=1,m
   x(i) = i+j
  end do
  write(10, rec=j) (x(i), i=1,m)
 end do

 close(10)

end
